package com.alttd.altitudeweb.setup;

import com.alttd.altitudeweb.database.Databases;
import com.alttd.altitudeweb.database.proxyplaytime.StaffPlaytimeMapper;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class InitializeProxyPlaytime {

    protected static void init() {
        log.info("Initializing ProxyPlaytime");
        Connection.getConnection(Databases.PROXY_PLAYTIME, (configuration) -> {
            configuration.addMapper(StaffPlaytimeMapper.class);
        }).join();
        log.debug("Initialized ProxyPlaytime");
    }

}
